qmf::engine::ObjectId Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::ObjectId Class Reference

`#include <qmf/engine/ObjectId.h>`

List of all members.

## Public Member Functions
| ObjectId ()
| ObjectId (const ObjectId &from)
| ~ObjectId ()
uint64_t | getObjectNum () const
uint32_t | getObjectNumHi () const
uint32_t | getObjectNumLo () const
bool | isDurable () const
const char * | str () const
uint8_t | getFlags () const
uint16_t | getSequence () const
uint32_t | getBrokerBank () const
uint32_t | getAgentBank () const
bool | operator== (const ObjectId &other) const
bool | operator< (const ObjectId &other) const
bool | operator> (const ObjectId &other) const
bool | operator<= (const ObjectId &other) const
bool | operator>= (const ObjectId &other) const
ObjectId & | operator= (const ObjectId &other)

## Constructor & Destructor Documentation

qmf::engine::ObjectId::ObjectId | ( |  | ) |

qmf::engine::ObjectId::ObjectId | ( | const ObjectId & | from | ) |

qmf::engine::ObjectId::~ObjectId | ( |  | ) |

## Member Function Documentation

uint32_t qmf::engine::ObjectId::getAgentBank | ( |  | ) | const

uint32_t qmf::engine::ObjectId::getBrokerBank | ( |  | ) | const

uint8_t qmf::engine::ObjectId::getFlags | ( |  | ) | const

uint64_t qmf::engine::ObjectId::getObjectNum | ( |  | ) | const

uint32_t qmf::engine::ObjectId::getObjectNumHi | ( |  | ) | const

uint32_t qmf::engine::ObjectId::getObjectNumLo | ( |  | ) | const

uint16_t qmf::engine::ObjectId::getSequence | ( |  | ) | const

bool qmf::engine::ObjectId::isDurable | ( |  | ) | const

bool qmf::engine::ObjectId::operator< | ( | const ObjectId & | other | ) | const

bool qmf::engine::ObjectId::operator<= | ( | const ObjectId & | other | ) | const

ObjectId& qmf::engine::ObjectId::operator= | ( | const ObjectId & | other | ) |

bool qmf::engine::ObjectId::operator== | ( | const ObjectId & | other | ) | const

bool qmf::engine::ObjectId::operator> | ( | const ObjectId & | other | ) | const

bool qmf::engine::ObjectId::operator>= | ( | const ObjectId & | other | ) | const

const char* qmf::engine::ObjectId::str | ( |  | ) | const

The documentation for this class was generated from the following file:

- qmf/engine/ObjectId.h